// Xampp apache 无法启动,修改端口和配置文件没有作用

参考:vcruntime140.dll 14.0与PHP版本不兼容-郭德纲又打人了嘿 – 博客园

cmd php -v 提示错误

vcruntime140.dll 14.0与PHP版本不兼容,PHP Warning: ‘vcruntime140.dll’ 14.0 is not compatible with this PHP build linked with 14.16 in Unknown on line 0

原因是PHP 7.4.x需要用于Visual Studio 2019的Microsoft Visual C ++ Redistributable

下载安装,并重启电脑。重新再 cmd 中运行 php -v 显示 php 版本,然后启动 xampp 控制台,启动 apache。

https://visualstudio.microsoft.com/downloads/

VC_redist.x64

作者 wanglei

发表评论